Subject: Re: bug#17229: [PATCH 2/2] grep: speed-up by using memchr() in Boyer-Moore searching

From: Paul Eggert <[email-masked]>
Date: Tue, 29 Apr 2014 18:38:05 -0700

> Subject: [PATCH] kwset: improve the performance by inlining tr

Thanks.  Normally we don't add 'inline' to functions, under the theory 
that compilers inline well-enough nowadays that we'd rather trust their 
judgment, but I suppose CentOS 5 is still relevant-enough and the 
performance effects great enough that we can make an exception here. 
Plus, we're already using 'inline' elsewhere in this module for 
performance reasons, and it's unlikely that a non-inlined 'tr' would 
perform better on any current platform.  So, I installed that patch.